MessageImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.messages.MessageImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.messages
Class MessageImpl

    java.lang.Object
      org.apache.lucene.messages.MessageImpl

All Implemented Interfaces:
  Serializable, Message

Deprecated. Will be moved to a private package inside flexible query parser (Lucene 4.0).

    @Deprecated
    public class MessageImpl

extends Object
implements Message

Default implementation of Message interface. For Native Language Support (NLS), system of software internationalization.

See Also:
  Serialized Form

Constructor Summary
`MessageImpl(String key)` Deprecated.
`MessageImpl(String key, Object... args)` Deprecated.

Method Summary
`Object[]` | `getArguments()` Deprecated.
`String` | `getKey()` Deprecated.
`String` | `getLocalizedMessage()` Deprecated.
`String` | `getLocalizedMessage(Locale locale)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageImpl

    public MessageImpl(String key)

  Deprecated.

### MessageImpl

    public MessageImpl(String key,
                       Object... args)

  Deprecated.

Method Detail

### getArguments

    public Object[] getArguments()

  Deprecated.
  Specified by:
    `getArguments` in interface `Message`

### getKey

    public String getKey()

  Deprecated.
  Specified by:
    `getKey` in interface `Message`

### getLocalizedMessage

    public String getLocalizedMessage()

  Deprecated.
  Specified by:
    `getLocalizedMessage` in interface `Message`

### getLocalizedMessage

    public String getLocalizedMessage(Locale locale)

  Deprecated.
  Specified by:
    `getLocalizedMessage` in interface `Message`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD